<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Netmail extends Model
{
	protected $dates = ['date'];
	protected $fillable = ['date','msgid','from_ftn'];
	public $timestamps = FALSE; // @todo Remove, seems an issue with cockroach updating tables.

	public function kludges()
	{
		return $this->belongsToMany(Kludge::class);
	}

	public function paths()
	{
		return $this->belongsToMany(Path::class,NULL,NULL,'node_id');
	}
}