<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Echomail extends Model
{
	protected $dates = ['date'];
	protected $fillable = ['date','msgid','from_ftn'];

	public function kludges()
	{
		return $this->belongsToMany(Kludge::class);
	}

	public function seenbys()
	{
		return $this->belongsToMany(Seenby::class,NULL,NULL,'node_id');
	}

	public function paths()
	{
		return $this->belongsToMany(Path::class,NULL,NULL,'node_id');
	}
}