<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\{DomainController};

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware(['auth:api'])->group(function () {
	Route::get('regions/{o}',[DomainController::class,'api_regions']);
	Route::get('hosts/{o}/{region}',[DomainController::class,'api_hosts']);
	Route::get('hubs/{o}/{host}',[DomainController::class,'api_hubs']);
});
